> ## Documentation Index
> Fetch the complete documentation index at: https://docs.socq.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 品牌情感分析

> 把提到某个品牌的网页按正面、负面、中性以及情绪分组，并列出每组的主要网站和国家。

# 品牌情感分析

“网上怎么看我们”这个问题，这个接口给出背后的拆解。提到查询词的网页先按主要情感倾向分组，再单独按最强烈的情绪分组：快乐、喜爱、趣味、分享、悲伤、愤怒。每一组都给出网页数量，以及贡献最多的网站、国家、语言和站点类型，能分辨批评是来自新闻媒体，还是集中在某一个论坛。

```json theme={"dark"}
{
  "query": "notion"
}
```

通过 query 提供品牌、产品或话题（最多 100 个字符）。每次请求计 10 积分，返回一行。提及量达到数百万的宽泛词分析时间更长，可能需要几分钟。

## 标准结果字段

任务结果使用下方稳定的 SocQ 字段。系统会统一来源特有的字段名和格式，但不会推断或补充来源未提供的数据。如需缩小返回字段集合，MCP 查询使用 `fields`，Typed 工具使用 `_result_fields`，CLI 使用 `--result-fields`。声明字段的值为 `null` 时仍会保留。

| 字段 | 类型 | 可空 | 说明 |
| - | - | - | - |
| `id` | `string` | 是 | 查询词本身，作为标识。 |
| `platform` | `string` | 否 | 结果所属的平台，例如 `instagram` 或 `linkedin`。 |
| `resource` | `string` | 否 | 该结果对应的 SocQ 资源，例如 `videos` 或 `comments`。 |
| `type` | `string` | 否 | 结果项的类别，例如 `video`、`post` 或 `comment`。 |
| `url` | `string` | 是 | 结果项的公开访问地址（如可获得）。 |
| `published_at` | `string` | 是 | 源内容的发布时间（如可获得），使用 ISO 8601 格式。 |
| `collected_at` | `string` | 否 | SocQ 采集或处理该结果的时间，使用 ISO 8601 格式。 |
| `query` | `string` | 是 | 所分析的品牌、产品或话题。 |
| `sentiments` | `array<object>` | 是 | 提到该查询词的网页，按主要情感倾向分组。 |
| `sentiments.label` | `string` | 是 | 分组的情感倾向：`positive`、`negative` 或 `neutral`。 |
| `sentiments.mentions_count` | `integer` | 是 | 该分组中的网页数量。 |
| `sentiments.top_domains` | `array<object>` | 是 | 该分组中网页最多的网站，按数量从多到少。 |
| `sentiments.top_domains.name` | `string` | 是 | 网站域名。 |
| `sentiments.top_domains.count` | `integer` | 是 | 网页数量。 |
| `sentiments.countries` | `array<object>` | 是 | 该分组网页所属国家的分布，按数量从多到少。 |
| `sentiments.countries.name` | `string` | 是 | 两位国家代码；`WW` 表示全球。 |
| `sentiments.countries.count` | `integer` | 是 | 网页数量。 |
| `sentiments.languages` | `array<object>` | 是 | 该分组网页的语言分布，按数量从多到少。 |
| `sentiments.languages.name` | `string` | 是 | 语言代码，例如 `en`。 |
| `sentiments.languages.count` | `integer` | 是 | 网页数量。 |
| `sentiments.page_types` | `array<object>` | 是 | 该分组网页来源站点类型的分布，按数量从多到少。 |
| `sentiments.page_types.name` | `string` | 是 | 站点类型：`news`、`blogs`、`message-boards`、`ecommerce` 或 `organization`。 |
| `sentiments.page_types.count` | `integer` | 是 | 网页数量。 |
| `emotions` | `array<object>` | 是 | 提到该查询词的网页，按最强烈的情绪分组。 |
| `emotions.label` | `string` | 是 | 分组的情绪：`happiness`、`love`、`fun`、`share`、`sadness` 或 `anger`。 |
| `emotions.mentions_count` | `integer` | 是 | 该分组中的网页数量。 |
| `emotions.top_domains` | `array<object>` | 是 | 该分组中网页最多的网站，按数量从多到少。 |
| `emotions.top_domains.name` | `string` | 是 | 网站域名。 |
| `emotions.top_domains.count` | `integer` | 是 | 网页数量。 |
| `emotions.countries` | `array<object>` | 是 | 该分组网页所属国家的分布，按数量从多到少。 |
| `emotions.countries.name` | `string` | 是 | 两位国家代码；`WW` 表示全球。 |
| `emotions.countries.count` | `integer` | 是 | 网页数量。 |
| `emotions.languages` | `array<object>` | 是 | 该分组网页的语言分布，按数量从多到少。 |
| `emotions.languages.name` | `string` | 是 | 语言代码，例如 `en`。 |
| `emotions.languages.count` | `integer` | 是 | 网页数量。 |
| `emotions.page_types` | `array<object>` | 是 | 该分组网页来源站点类型的分布，按数量从多到少。 |
| `emotions.page_types.name` | `string` | 是 | 站点类型：`news`、`blogs`、`message-boards`、`ecommerce` 或 `organization`。 |
| `emotions.page_types.count` | `integer` | 是 | 网页数量。 |

以下示例展示任务完成后的响应格式，具体数据以实际查询结果为准。

## 任务完成响应

```json theme={"dark"}
{
  "code": 200,
  "data": {
    "task_id": "example-brand-monitoring-sentiment",
    "status": "succeeded",
    "public_id": "brand-monitoring/sentiment",
    "result_count": 1,
    "credits_amount": 10,
    "results": {
      "limit": 50,
      "next_cursor": null,
      "has_more": false,
      "schema_id": "brand-sentiment",
      "schema_version": "1.0",
      "items": [
        {
          "id": "notion",
          "platform": "brand-monitoring",
          "resource": "sentiment",
          "type": "sentiment",
          "url": null,
          "published_at": null,
          "collected_at": "2026-11-17T23:56:20.984740Z",
          "query": "notion",
          "sentiments": [
            {
              "label": "positive",
              "mentions_count": 3890592,
              "top_domains": [
                {
                  "name": "oychicago.com",
                  "count": 55456
                },
                {
                  "name": "bibleandbookcenter.com",
                  "count": 39000
                },
                {
                  "name": "the-jet-collection.com",
                  "count": 26240
                }
              ],
              "countries": [
                {
                  "name": "US",
                  "count": 576952
                },
                {
                  "name": "FR",
                  "count": 318248
                },
                {
                  "name": "WW",
                  "count": 183904
                }
              ],
              "languages": [
                {
                  "name": "en",
                  "count": 3071912
                },
                {
                  "name": "fr",
                  "count": 689568
                },
                {
                  "name": "es",
                  "count": 59640
                }
              ],
              "page_types": [
                {
                  "name": "blogs",
                  "count": 2738408
                },
                {
                  "name": "organization",
                  "count": 1192344
                },
                {
                  "name": "news",
                  "count": 602184
                }
              ]
            },
            {
              "label": "negative",
              "mentions_count": 4000000,
              "top_domains": [
                {
                  "name": "oychicago.com",
                  "count": 50928
                },
                {
                  "name": "acedessays.com",
                  "count": 46656
                },
                {
                  "name": "integrately.com",
                  "count": 35688
                }
              ],
              "countries": [
                {
                  "name": "US",
                  "count": 837792
                },
                {
                  "name": "FR",
                  "count": 359008
                },
                {
                  "name": "WW",
                  "count": 181512
                }
              ],
              "languages": [
                {
                  "name": "en",
                  "count": 3222480
                },
                {
                  "name": "fr",
                  "count": 685728
                },
                {
                  "name": "de",
                  "count": 34240
                }
              ],
              "page_types": [
                {
                  "name": "blogs",
                  "count": 2728320
                },
                {
                  "name": "organization",
                  "count": 1167856
                },
                {
                  "name": "news",
                  "count": 1141824
                }
              ]
            },
            {
              "label": "neutral",
              "mentions_count": 3928936,
              "top_domains": [
                {
                  "name": "oychicago.com",
                  "count": 73112
                },
                {
                  "name": "cebh.info",
                  "count": 47720
                },
                {
                  "name": "visualbudget.org",
                  "count": 43824
                }
              ],
              "countries": [
                {
                  "name": "US",
                  "count": 643752
                },
                {
                  "name": "WW",
                  "count": 144488
                },
                {
                  "name": "IN",
                  "count": 116192
                }
              ],
              "languages": [
                {
                  "name": "en",
                  "count": 3917480
                },
                {
                  "name": "fr",
                  "count": 2832
                },
                {
                  "name": "de",
                  "count": 2144
                }
              ],
              "page_types": [
                {
                  "name": "blogs",
                  "count": 3166704
                },
                {
                  "name": "organization",
                  "count": 1120616
                },
                {
                  "name": "news",
                  "count": 480624
                }
              ]
            }
          ],
          "emotions": [
            {
              "label": "happiness",
              "mentions_count": 687456,
              "top_domains": [
                {
                  "name": "euskalerriairratia.eus",
                  "count": 41136
                },
                {
                  "name": "eurostarinc.com",
                  "count": 25168
                },
                {
                  "name": "integrately.com",
                  "count": 15376
                }
              ],
              "countries": [
                {
                  "name": "FR",
                  "count": 229448
                },
                {
                  "name": "WW",
                  "count": 79600
                },
                {
                  "name": "US",
                  "count": 42960
                }
              ],
              "languages": [
                {
                  "name": "fr",
                  "count": 531200
                },
                {
                  "name": "en",
                  "count": 109272
                },
                {
                  "name": "de",
                  "count": 27984
                }
              ],
              "page_types": [
                {
                  "name": "blogs",
                  "count": 433944
                },
                {
                  "name": "organization",
                  "count": 292072
                },
                {
                  "name": "ecommerce",
                  "count": 172496
                }
              ]
            },
            {
              "label": "love",
              "mentions_count": 256208,
              "top_domains": [
                {
                  "name": "bloomex.ca",
                  "count": 9576
                },
                {
                  "name": "scripturesavvy.com",
                  "count": 2992
                },
                {
                  "name": "explainingthebible.com",
                  "count": 2656
                }
              ],
              "countries": [
                {
                  "name": "US",
                  "count": 45768
                },
                {
                  "name": "FR",
                  "count": 33984
                },
                {
                  "name": "WW",
                  "count": 15176
                }
              ],
              "languages": [
                {
                  "name": "en",
                  "count": 183144
                },
                {
                  "name": "fr",
                  "count": 66024
                },
                {
                  "name": "de",
                  "count": 3240
                }
              ],
              "page_types": [
                {
                  "name": "blogs",
                  "count": 155704
                },
                {
                  "name": "organization",
                  "count": 114448
                },
                {
                  "name": "news",
                  "count": 61496
                }
              ]
            },
            {
              "label": "fun",
              "mentions_count": 30032,
              "top_domains": [
                {
                  "name": "ariase.com",
                  "count": 4296
                },
                {
                  "name": "vin-vigne.com",
                  "count": 3640
                },
                {
                  "name": "conseilinformatique.fr",
                  "count": 768
                }
              ],
              "countries": [
                {
                  "name": "FR",
                  "count": 18648
                },
                {
                  "name": "WW",
                  "count": 1472
                },
                {
                  "name": "US",
                  "count": 816
                }
              ],
              "languages": [
                {
                  "name": "fr",
                  "count": 25520
                },
                {
                  "name": "en",
                  "count": 2288
                },
                {
                  "name": "ja",
                  "count": 1256
                }
              ],
              "page_types": [
                {
                  "name": "blogs",
                  "count": 18152
                },
                {
                  "name": "organization",
                  "count": 16488
                },
                {
                  "name": "ecommerce",
                  "count": 8976
                }
              ]
            }
          ]
        }
      ]
    }
  }
}
```


## OpenAPI

````yaml zh/api-manual/agent-api/agent-api.json POST /v1/brand-monitoring/sentiment
openapi: 3.1.0
info:
  title: SocQ Agent API 中文版
  version: v1-87892a6484c2
  description: 根据 SocQ 能力目录生成的异步社交数据 API。
servers:
  - url: https://api.socq.ai
security: []
paths:
  /v1/brand-monitoring/sentiment:
    post:
      tags:
        - brand-monitoring
      summary: 品牌情感分析
      description: 把提到某个品牌的网页按正面、负面、中性以及情绪分组，并列出每组的主要网站和国家。
      operationId: socq_brand_monitoring_sentiment
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $schema: https://json-schema.org/draft/2020-12/schema
              type: object
              additionalProperties: false
              properties:
                callback_url:
                  type: string
                  format: uri
                  description: 可选的任务完成回调 URL。
                query:
                  type: string
                  minLength: 1
                  description: 要分析的品牌、产品或话题。
              required:
                - query
              description: >-
                通过 query 提供品牌、产品或话题（最多 100 个字符）。每次请求计 10
                积分，返回一行。提及量达到数百万的宽泛词分析时间更长，可能需要几分钟。
      responses:
        '200':
          description: 任务已受理
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentSubmitResponse'
        '422':
          description: Input validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentValidationErrorResponse'
      security:
        - bearerAuth: []
        - apiKeyAuth: []
components:
  schemas:
    AgentSubmitResponse:
      type: object
      properties:
        code:
          type: integer
          const: 200
          description: HTTP 业务状态码。
        data:
          type: object
          properties:
            task_id:
              type: string
              description: 任务 ID，用于查询任务状态和结果。
            status:
              type: string
              description: 任务当前状态。
            created_time:
              type:
                - string
                - 'null'
              description: 任务创建时间。
          required:
            - task_id
            - status
    AgentValidationErrorResponse:
      type: object
      properties:
        code:
          type: integer
          const: 422
        error:
          type: object
          properties:
            message:
              type: string
            type:
              type: string
            details:
              type: object
          required:
            - message
            - type
      required:
        - code
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: '使用 `Authorization: Bearer <token>` 请求头进行身份验证。'
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: 也可以通过 `x-api-key` 请求头提供 API Key。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.